Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor.rdf
Class TriXExtractor

    java.lang.Object
      org.apache.any23.extractor.rdf.BaseRDFExtractor
          org.apache.any23.extractor.rdf.TriXExtractor

All Implemented Interfaces:
  Extractor<InputStream>, Extractor.ContentExtractor

    public class TriXExtractor

extends BaseRDFExtractor

Concrete implementation of `ContentExtractor` to perform extraction on TriX documents.

Author:
  Michele Mostarda (mostarda@fbk.eu)

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.any23.extractor.Extractor
`Extractor.BlindExtractor, Extractor.ContentExtractor, Extractor.TagSoupDOMExtractor`

Field Summary
`static ExtractorFactory<TriXExtractor>` | `factory`

Constructor Summary
`TriXExtractor()` Default constructor, with no verification of data types and not stop at first error.
`TriXExtractor(boolean verifyDataType, boolean stopAtFirstError)` Constructor, allows to specify the validation and error handling policies.

Method Summary
`ExtractorDescription` | `getDescription()` Returns a `ExtractorDescription` of this extractor.
`protected org.openrdf.rio.helpers.RDFParserBase` | `getParser(ExtractionContext extractionContext, ExtractionResult extractionResult)`

Methods inherited from class org.apache.any23.extractor.rdf.BaseRDFExtractor
`isStopAtFirstError, isVerifyDataType, run, setStopAtFirstError, setVerifyDataType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factory

    public static final ExtractorFactory<TriXExtractor> factory

Constructor Detail

### TriXExtractor

    public TriXExtractor(boolean verifyDataType,
                         boolean stopAtFirstError)

  Constructor, allows to specify the validation and error handling policies.

  Parameters:
    `verifyDataType` - if `true` the data types will be verified, if `false` will be ignored.
    `stopAtFirstError` - if `true` the parser will stop at first parsing error, if `false` will ignore non blocking errors.

### TriXExtractor

    public TriXExtractor()

  Default constructor, with no verification of data types and not stop at first error.

Method Detail

### getDescription

    public ExtractorDescription getDescription()

  Description copied from interface: `Extractor`
  Returns a `ExtractorDescription` of this extractor.

  Specified by:
    `getDescription` in interface `Extractor<InputStream>`
  Specified by:
    `getDescription` in class `BaseRDFExtractor`
  Returns:
    the object representing the extractor description.

### getParser

    protected org.openrdf.rio.helpers.RDFParserBase getParser(ExtractionContext extractionContext,
                                                              ExtractionResult extractionResult)

  Specified by:
    `getParser` in class `BaseRDFExtractor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.